/* FILE:    defs.h
 * PURPOSE: platform dependant or common definitions
 * AUTHOR:  Piet Tutelaers
 * VERSION: 1.0 (September 1995)
 */

/* TeX PS Resource database name and extension */
#ifdef MSDOS
#define PSRES_NAME	"psres.dpr"
#define PSRES_BACKUP	"psres.bak"
#define PSRES_EXT	".dpr"
#define PSRESOURCEPATH_DEFAULT ""
#define NULDEVICE	NUL
#endif

/* start defaults for UNIX */
#ifndef PSRES_NAME
#define PSRES_NAME	"PSres.upr"
#endif

#ifndef PSRES_BACKUP
#define PSRES_BACKUP	"PSres.upr~"
#endif

#ifndef PSRES_EXT
#define PSRES_EXT	".upr"
#endif

#ifndef PSRESOURCEPATH_DEFAULT
#define PSRESOURCEPATH_DEFAULT "."
#endif
/* end defaults for UNIX */

#ifdef MSDOS
#define PATHSEP ';'
#define DIRSEP '\\'
#define ESCAPECHAR '!'
#define RB "rb"
#define WB "wb"
#endif

#ifndef PATHSEP
#define PATHSEP ':'
#endif

#ifndef DIRSEP
#define DIRSEP '/'
#endif

#ifndef ESCAPECHAR
#define ESCAPECHAR '\\'
#endif

#ifndef RB
#define RB "r"
#endif

#ifndef WB
#define WB "w"
#endif

#ifndef MAXPATHLEN
#define MAXPATHLEN 256
#endif

#ifndef MAXSTRLEN
#define MAXSTRLEN 256
#endif

#ifndef NULLDEVICE
#define NULLDEVICE "/dev/null"
#endif
